{
  "codeName" : "FullScreenPie",
  "controlType" : "CHART",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student/PSCHARTS/FullScreenPie.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    }
  },
  "height" : 300.0,
  "logicName" : "fullScreenPie",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSChartCoordinateSystems" : [ {
    "eChartsType" : "none",
    "index" : 0,
    "name" : "[pie_0]无坐标系[0]",
    "type" : "NONE",
    "id" : "0"
  } ],
  "getPSChartDataSetGroups" : [ {
    "index" : 0,
    "name" : "DEFAULT",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "id" : "0"
  } ],
  "getPSChartDataSets" : [ {
    "index" : 0,
    "name" : "pie_0-DEFAULT",
    "getPSChartDataSetFields" : [ {
      "index" : 0,
      "name" : "NAME",
      "getPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
      },
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "AGE",
      "groupField" : false,
      "id" : "1"
    } ],
    "id" : "0"
  } ],
  "getPSDEChartDataGrid" : {
    "index" : 0,
    "id" : "0"
  },
  "getPSDEChartLegend" : {
    "index" : 0,
    "showLegend" : true,
    "id" : "0"
  },
  "getPSDEChartSerieses" : [ {
    "catalogField" : "NAME",
    "getCatalogPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
    },
    "eChartsType" : "pie",
    "index" : 0,
    "name" : "pie_0",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartSeriesEncode" : {
      "category" : "NAME",
      "index" : 0,
      "name" : "坐标系编码",
      "type" : "NONE",
      "value" : "AGE",
      "id" : "0"
    },
    "seriesLayoutBy" : "column",
    "seriesType" : "pie",
    "valueField" : "AGE",
    "enableChartDataSet" : true
  } ],
  "getPSDEChartTitle" : {
    "index" : 0,
    "showTitle" : true,
    "id" : "0"
  },
  "readOnly" : true,
  "modelid" : "AFC0E5F2-71C6-4364-9E4C-A048C49D9194",
  "modeltype" : "PSDECHART",
  "getUserParam" : {
    "EC.color" : "[\"#5470c6\",\"#91cc75\",\"#fac858\",\"#ee6666\",\"#73c0de\",\"#3ba272\",\"#fc8452\",\"#9a60b4\",\"#ea7ccc\",\"#5470c6\",\"#91cc75\"]"
  }
}